SDK 1.12.3 is out!

SDK 1.12.3 is available! Access it by running the Playdate Simulator and saying "yes" to an update, or download it from http://play.date/dev.

Read about changes at the Playdate SDK Changelog.

And please let us know if you encounter any issues!

4 Likes

I'm unable to install it on macOS. I just get an error:

Very sorry for the troubles!

What OS are you running on? And what kind of Mac? (Processor mainly.)

Ah, sorry, I should have provided more information. :slight_smile: I'm running macOS 12.4 on an M1 mini. I see that 12.5.1 is now available so I can update to that and see if that fixes it.

Yes, please let me know! If you still have problems with the new installer, I'll investigate.

Nope, updating to 12.5.1 didn't help anything. Is there any log file I should be looking for to help track down the issue? I assume it's some weird permissions/sandboxing issue that's causing things to fail.

I'm upgrading from SDK 1.9.0, for what it's worth.

Sorry for the delay in getting back with you!

When you have the chance, try running the installer again. When its window appears, type Cmd-L. A debug log will appear. Then please post any errors that show up here.

Thank you, and sorry for your troubles!

Unfortunately the log isn't very informative:

Sep  8 09:48:13 bucket Installer[91541]: Could not load resource readme: (null)
Sep  8 09:48:13 bucket Installer[91541]: Could not load resource license: (null)
Sep  8 09:48:31 bucket installd[91545]: PackageKit: ----- Begin install -----
Sep  8 09:48:32 bucket installd[91545]: PackageKit: Install Failed: Error Domain=PKInstallErrorDomain Code=112 "An error occurred while running scripts from the package “PlaydateSDK-1.12.3.pkg”." UserInfo={NSFilePath=./postinstall, NSURL=file:///Users/fluffy/Downloads/PlaydateSDK-1.12.3.pkg#PlaydateSDK.pkg, PKInstallPackageIdentifier=date.play.sdk, NSLocalizedDescription=An error occurred while running scripts from the package “PlaydateSDK-1.12.3.pkg”.} {
	    NSFilePath = "./postinstall";
	    NSLocalizedDescription = "An error occurred while running scripts from the package \U201cPlaydateSDK-1.12.3.pkg\U201d.";
	    NSURL = "file:///Users/fluffy/Downloads/PlaydateSDK-1.12.3.pkg#PlaydateSDK.pkg";
	    PKInstallPackageIdentifier = "date.play.sdk";
	}
Sep  8 09:48:33 bucket Installer[91541]: Install failed: The Installer encountered an error that caused the installation to fail. Contact the software manufacturer for assistance.
Sep  8 09:48:33 bucket Installer[91541]: Displaying 'Install Failed' UI.
Sep  8 09:48:33 bucket Installer[91541]: 'Install Failed' UI displayed message:'The Installer encountered an error that caused the installation to fail. Contact the software manufacturer for assistance.'.

Okay after looking at the postinstall script I tried removing the existing ~/Developer/PlaydateSDK directory, and that did the trick. I'm not sure which postinstall step actually failed though.

So, to be clear: you now have the new SDK (1.12.3) installed properly?

Hmm. Perhaps there were odd permissions on some of the files in your PlaydateSDK folder? I'll ask around and see if anyone has any ideas.

Thank you for trying this out for us, and sharing your issues.

This is correct, everything is installed, up-to-date, and appears to be working.

1 Like